require('axios');
const { createAPI } = require('tamtam-bot-api');
const api = createAPI(/* TAMTAM_API_TOKEN */);

let MARKER = 0;

async function startPolling() {
    const { updates, marker } = await api.getUpdates({ marker: MARKER });

    MARKER = marker || MARKER;

    updates.map(update => {
        if (update.update_type === 'message_created') {
            const { body, sender } = update.message;

            return api.sendMessage({ text: body.text }, { user_id: sender.user_id });
        }
    });

    await startPolling();
}

startPolling();
;